%define rel 3
%define rhrel %([ -f /etc/redhat-release ] && rpm -q --qf %{VERSION} redhat-release)
%define rhtag %([ -n "%{rhrel}" ] && echo .%{rhrel})

Summary: An uncompressor for .arj format archive files.
Name: unarj
Version: 2.65
Release: %{rel}%{rhtag}
Group: Applications/Archiving
License: distributable
Source: http://www.amavis.org/contrib/%{name}_%{version}.orig.tar.gz
Patch: http://www.amavis.org/contrib/%{name}_%{version}-1.diff.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: /usr

%description
The UNARJ program is used to uncompress .arj format archives.  The
.arj format archive was mostly used on DOS machines.

Install the unarj package if you need to uncompress .arj format
archives.

%prep
%setup -q -n %{name}-%{version}.orig
%patch -p1

%build
make clean
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}

install -m 755 unarj %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc unarj.txt technote.txt
%{_bindir}/unarj

%changelog
* Mon Apr 28 2003 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 9

* Fri Aug 23 2002 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 7.3
- Moved to version 2.65

* Mon Mar 11 2002 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 7.2
- Moved to version 2.63a

* Fri Oct 05 2001 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 7.2 beta

* Fri May 04 2001 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 7.1

* Wed Apr 25 2001 Peter Soos <sp@osb.hu>
- Make package relocatable

* Wed Aug 02 2000 Peter Soos <sp@osb.hu>
- Updated to 2.43a wich support the automatic directory creation for x mode
  and have better support for Midnight Commander (mc)

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- Wow. We've been shipping i386 binaries on alpha for a while...

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 2.43

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
